---
title: 'Performance: resourcetimingbufferfull event'
slug: Web/API/Performance/resourcetimingbufferfull_event
tags:
  - API
  - DOM
  - Event
  - Performance
  - Reference
  - Web Performance
  - onresourcetimingbufferfull
---
<div>{{APIRef}}</div>

<p>The <code>resourcetimingbufferfull</code> event is fired when the browser's <a href="/en-US/docs/Web/API/Performance/setResourceTimingBufferSize">resource timing buffer</a> is full.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("Performance.onresourcetimingbufferfull", "onresourcetimingbufferfull")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>The following example sets a callback function on the <code>onresourcetimingbufferfull</code> property.</p>

<pre class="brush: js">function buffer_full(event) {
  console.log("WARNING: Resource Timing Buffer is FULL!");
  performance.setResourceTimingBufferSize(200);
}
function init() {
  // Set a callback if the resource buffer becomes filled
  performance.onresourcetimingbufferfull = buffer_full;
}
&lt;body onload="init()"&gt;</pre>

<p>Note that you could also set up the handler using the addEventListener() function:</p>

<pre class="brush: js">performance.addEventListener('resourcetimingbufferfull', buffer_full);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Resource Timing', '#dom-performance-onresourcetimingbufferfull', 'onresourcetimingbufferfull')}}</td>
   <td>{{Spec2('Resource Timing')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.Performance.resourcetimingbufferfull_event")}}</div>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref("Performance.clearResourceTimings","Performance.clearResourceTimings()")}}</li>
 <li>{{domxref("Performance.setResourceTimingBufferSize","Performance.setResourceTimingBufferSize()")}}</li>
</ul>
